# Preface

One of the things that sets good software apart from great software is not the features or the actual function the software performs, but the quality of the source code. In order to perform in the highly competitive Open Source and proprietary software industries, the source code not only needs to be beautifully designed, it also needs to be beautiful and elegant to look at.

Readable code is maintainable code and the compass that guides us in achieving that goal is a set of well thought out coding standards for the different software languages that are employed in our software project. Joomla has a solid heritage of striving to support a great looking product with great looking code. This document compiles the collective wisdom of past and present contributors to the project to form the definitive standard for coding in Joomla, whether that is for the core Joomla Framework or an extension that forms part of the stack of the Joomla CMS. It also serves as a lighthouse to the Joomla developer community, to safely guide developers around the pitfalls of becoming lackadaisical with respect to writing clean, beautiful code.

The Joomla Coding Standards borrows heavily from the PEAR coding standard for PHP files, augmenting and diverging where it is deemed sensible to do so.
